     d = open("nomer")
     getfirst(d)
     nom = 'Номер_док.'.d
     close(d)
     d = open("schetf")
     if Find(d,1,1,nom) != 0 then goto 900
     d1 = open("rekv")
     d3 = open("plan")
     fl_open = 0
     if Find(d3,1,1,'Номер'.d) = 0
     {
        if trim('Расчеты'.d3) = "МТ" | trim('Расчеты'.d3) = "мт" then fl_open = 1
     }
     close(d3)
     if fl_open = 1 then d2 = open(trim('Номер'.d))
     rem ---------------- СЧЕТ - ФАКТУРА -----------------------------
     rem goto 800 
     if Find(d1,1,1,'Шифр'.d) != 0 then goto 900
     direct = 'Руководит.'.d1
     glbuh = 'Гл.бухг.'.d1
     print "          СЧЕТ - ФАКТУРА N ",str('Номер_док.'.d,5,0)," от ",fldtodate('Дата'.d)
     print ""
     print "Продавец ",trim('Название1'.d) + " " + trim('Название2'.d)
     print "Адрес ",'Адрес,тел.'.d1
     print "Идентификационный номер и КПП продавца (ИНН/КПП) ",trim('ИНН'.d1),"/",'КПП'.d1
     print "Грузоотправитель и его адрес ",'Грузоотпр.'.d
     print "Грузополучатель и его адрес  ",'Грузопол.'.d
     print "К платежно-расчетному документу N ___________ от ___________________________________"
     print ""
     print "Покупатель ",trim('Название'.d) + " " + trim('НазваниеП'.d)
     print "Адрес ",'Адрес,телП'.d
     print "Идентификационный номер покупателя (ИНН) ",'ИННП'.d
     print "-----------------------------------------------------------------------------------------------------------------------------------"
     print "      Наименование товара     |    |          |  Цена    |Стоимость  | В  |Нало-|         |Стоим.това-|Сумма |  Страна  |   Номер  "
     print " (описание выполненных работ, | Ед.|  Коли-   |  (тариф) |товаров(ра-|т.ч.|говая|  Сумма  |ров(работ, |налога| происхож-| грузовой "
     print "      оказанных услуг)        |изм.|  чество  |за единицу|бот,услуг) |ак- |став-|  налога |услуг)всего|  с   |  дения   |таможенной"
     print "                              |    |          | измерения|без налога |циз |ка   |         |с налогом  |продаж|          |декларации"
     print "-----------------------------------------------------------------------------------------------------------------------------------"
     print "              1               | 2  |    3     |     4    |     5     | 6  |  7  |    8    |     9     |  10  |    11    |    12    "
     print "-----------------------------------------------------------------------------------------------------------------------------------"

     itog = 0.0
     itogsum = 0.0
     itognds = 0.0
     nacen = 0.0
     ndsnacen = 0.0
     sumnacen = 0.0
     sumnp = 0.0
     itognp = 0.0
     for i = 1 to 30
        nnazv = "Назв" + str(i,1,0)
        ncena = "Цена" + str(i,1,0)
        nkol = "Кол" + str(i,1,0)
        nkod = "Кд" + str(i,1,0)
        ned = "Е" + str(i,1,0)
        nnds = "НДС" + str(i,1,0)
        if 'nnazv'.d = "                              " then goto 101
        pnds = 'nnds'.d
        np = 0
        if pnds = 25
        {  pnds = 20
           np = 0.05
        }
        if pnds = 15
        {  pnds = 10
           np = 0.05
        }
        if 'ncena'.d != 0.0 | fl_open = 0 then goto 102
        if Find(d2,1,1,'nkod'.d) != 0 then goto 101
        'ncena'.d = 'Цена'.d2
102     cena = 'ncena'.d
        if 'Наценка'.d != 0.0
        {  nacen = num(str(cena * 'Наценка'.d / 100,14,2))
           cena = cena + nacen
           sum = num(str(nacen*'nkol'.d,14,2))
           sumnacen = sumnacen + sum
           ndsnacen = ndsnacen + num(str((sum * pnds)/100,14,2))
        }
        sum = num(str(cena*'nkol'.d,12,2))
        nds = num(str((sum * pnds)/100,12,2))
        itog = itog+(sum+nds)
        itogsum = itogsum+sum
        itognds = itognds+nds
        sumnp = num(str((sum+nds)*np,12,2))
        itognp = itognp + sumnp
        print 'nnazv'.d,"|",'ned'.d,"|",str('nkol'.d,10,3),"|",str(cena,10,2),"|",str(sum,11,2),"|    |",str(pnds,5,2),"|",str(nds,9,2),"|",str(nds+sum,11,2),"|",str(sumnp,6,2),"|",'Страна'.d,"|",'Декларация'.d
101  next
     update(d)
     print "-----------------------------------------------------------------------------------------------------------------------------------"
     print " ВСЕГО К ОПЛАТЕ                                          ",str(itogsum,12,2),"           ",str(itognds,10,2),str(itog,12,2)," ",str(itognp,6,2)
     print "-----------------------------------------------------------------------------------------------------------------------------------"
     if sumnacen != 0.0
     {
        print "     В том числе: наценка        - ",str(sumnacen,14,2)
        print "                  НДС на наценку - ",str(ndsnacen,14,2)
        print "                  наценка с НДС  - ",str(sumnacen + ndsnacen,14,2)
     }
     print ""
     print "     Руководитель _____________ / ",trim(direct)," /       Гл. (старший) бухгалтер _____________ / ",trim(glbuh)," /"
     print ""
     rem --- print ""
     rem --- print "                М.П."
     rem --- print ""
     rem --- print ""
     rem --- print "     ВЫДАЛ __________________________"
900  close(d)
     if fl_open = 1 then close(d2)
     close(d1)
     end

